StarObjectTextInternal::SectionZone Struct Reference documentation

Public Member Functions | Public Attributes | List of all members
StarObjectTextInternal::SectionZone Struct Referencefinal

Internal: a sectionZone of StarObjectTextInteral. More...

Inheritance diagram for StarObjectTextInternal::SectionZone:

## Public Member Functions
| SectionZone ()
| constructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| try to send the data to a listener
Public Member Functions inherited from StarObjectTextInternal::Zone
| Zone ()
| constructor
virtual | ~Zone ()
| destructor
virtual void | inventoryPage (StarState &) const
| try to inventory the different pages

## Public Attributes
librevenge::RVNGString | m_name
| the section name
librevenge::RVNGString | m_condition
| the section condition
librevenge::RVNGString | m_linkName
| the section link name
int | m_type
| the section type
int | m_flags
| the section flag
std::shared_ptr< StarFormatManagerInternal::FormatDef > | m_format
| the format
std::shared_ptr< Content > | m_content
| the content

## Detailed Description

Internal: a sectionZone of StarObjectTextInteral.

## Constructor & Destructor Documentation

## ◆ SectionZone()

StarObjectTextInternal::SectionZone::SectionZone | ( |  | ) |
| inline

constructor

## Member Function Documentation

## ◆ send()

bool StarObjectTextInternal::SectionZone::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| finalvirtual

try to send the data to a listener

Implements StarObjectTextInternal::Zone.

## Member Data Documentation

## ◆ m_condition

librevenge::RVNGString StarObjectTextInternal::SectionZone::m_condition

the section condition

Referenced by SectionZone().

## ◆ m_content

std::shared_ptr<Content> StarObjectTextInternal::SectionZone::m_content

the content

Referenced by SectionZone(), and send().

## ◆ m_flags

int StarObjectTextInternal::SectionZone::m_flags

the section flag

Referenced by SectionZone().

## ◆ m_format

std::shared_ptr<StarFormatManagerInternal::FormatDef> StarObjectTextInternal::SectionZone::m_format

the format

Referenced by SectionZone().

## ◆ m_linkName

librevenge::RVNGString StarObjectTextInternal::SectionZone::m_linkName

the section link name

Referenced by SectionZone().

## ◆ m_name

librevenge::RVNGString StarObjectTextInternal::SectionZone::m_name

the section name

Referenced by SectionZone().

## ◆ m_type

int StarObjectTextInternal::SectionZone::m_type

the section type

Referenced by SectionZone().

The documentation for this struct was generated from the following file:

- StarObjectText.cxx